Retrieves the skill with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
skill| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the skill |
string |
Required Max length: 255 |
| description |
Description of the skill |
string |
Max length: 4000 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "a057a1da-8b93-4756-a98d-3cbeb57b8154",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "43fb932f-24d8-4626-95b8-af580f437a23",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "0e0d5139-b093-4318-a544-d6aadc3463ec",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "27ed659e-76d2-4fbe-b187-8c9674c215ca",
"db_currency_id": "84984cfb-e8ad-4f08-be55-f9cd8dcf5801",
"db_language_id": "553a8f15-c411-4ae8-96b2-c1132435508a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T10:59:58.4027364+00:00"
},
"modified_dateutc": "2026-11-02T10:59:58.4027364+00:00"
}